Bulk Create Tasks

Use the Bulk Create Tasks endpoint to create multiple tasks in a single API request. A separate task will be created for each contact provided.

This endpoint returns a success boolean and a tasks array containing the created tasks.

Apollo does not apply deduplication processes when you create a new task via the API. If your entry has the same task owner, contact, and other details as an existing task, Apollo will create a new task instead of updating the existing task.

For creating a single task, use the Create a Task endpoint instead.

This endpoint requires a master API key. If you attempt to call the endpoint without a master key, you will receive a 403 response. Refer to Create API Keys to learn how to create a master API key.

Body Params
string
required

The ID for the task owner within your team's Apollo account. This is the user that will take action on the contacts.

Use the Get a List of Users endpoint to retrieve IDs for all of the users within your Apollo account.

Example: 66302798d03b9601c7934ebf

contact_ids
array of strings
required

The Apollo IDs for the contacts that you want to be on the receiving end of the action.

If you add multiple contact IDs, individual tasks will be created for each of the contacts using the same task type, due date, and other details.

To find contact IDs, call the Search for Contacts endpoint and identify the id value for the contact.

Example: 66e34b81740c50074e3d1bd4

contact_ids*
string
required

Set the task to be 1 of the following task types. This enables the task owner to know the type of action they need to take.

  • call: Call the contacts.
  • outreach_manual_email: Email the contacts.
  • linkedin_step_connect: Send a LinkedIn invitation to connect with the contacts.
  • linkedin_step_message: Send a direct message to the contacts' LinkedIn profiles.
  • linkedin_step_view_profile: View the contacts' LinkedIn profiles.
  • linkedin_step_interact_post: Interact with the contacts' recent LinkedIn posts.
  • action_item: Take generic action for the contacts. If you use this task type, Apollo recommends using the note parameter too.

string
Defaults to medium

Assign a priority to the task you are creating:

  • high
  • medium
  • low

string
required

The status of the task being created. For future-facing tasks, you should use the scheduled status.

For tasks that are already completed, you can use completed or skipped.

Example: scheduled

date-time
required

The full date and time when the task will be due.

Your entry should adhere to the ISO 8601 date-time format. Apollo uses Greenwich Mean Time (GMT) by default. If you do not account for time zone differences, you could add a task due date that falls on a different day than you intended.

The value you enter can either adhere to GMT, or you can adjust the time manually by specifying in hours and minutes how much you want to offset GMT.

Example: 2025-02-15T08:10:30Z; 2025-03-25T10:15:30+05:00

string

Add a description for the task. This should be a human-readable message.

This parameter is not required, but it is recommended as it provides the task owner with more context on the action they need to take.

Example: This contact expressed interest in the Sequences feature specifically. Be prepared to discuss.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain